export function useResetData<T>(initialValue: T) {
  const state = ref(structuredClone(initialValue))
  const reset = () => {
    // state.value = structuredClone(initialValue)
    // 优化 防止 出现类似toRef引用丢失问题
    Object.assign(state.value, structuredClone(initialValue))
  }
  return [state, reset] as [Ref<T>, () => void]
}
